Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class AstVarNode

    java.lang.Object
      ru.biosoft.math.model.SimpleNode
          ru.biosoft.math.model.AstVarNode

All Implemented Interfaces:
  Node

public class AstVarNode
extends SimpleNode

Field Summary
`protected boolean` | `cSymbol`

Fields inherited from class ru.biosoft.math.model.SimpleNode
`children, id, parent`

Constructor Summary
`AstVarNode(int id)`

Method Summary
`java.lang.String` | `getName()` Returns the name of the variable.
`boolean` | `isCSymbol()`
`void` | `setIsCSymbol(boolean cSymbol)`
`void` | `setName(java.lang.String varName_in)` Sets the name of the variable.
`java.lang.String` | `toString()` Creates a string containing the variable's name and value

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cSymbol

    protected boolean cSymbol

Constructor Detail

### AstVarNode

    public AstVarNode(int id)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the variable.

### setName

    public void setName(java.lang.String varName_in)

  Sets the name of the variable.

### isCSymbol

    public boolean isCSymbol()

### setIsCSymbol

    public void setIsCSymbol(boolean cSymbol)

### toString

    public java.lang.String toString()

  Creates a string containing the variable's name and value

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.